<?php

namespace App\Modules\OfficialAccount\Models;

use Illuminate\Database\Eloquent\Model;

class CustomPushConfigs extends Model
{
    protected $table = 'custom_push_configs';

//     protected $fillable = ['title','url','image','config_id','product_id'];

    /**
     * 获取配置信息
     */
    static function customPushConfigs($type='pay_daily_push')
    {
//     	return self::select()->first();
       	$customPushConfigs = self::select()->where(['type'=>$type])->orderBy('id','desc')->limit(1)->get()->toArray();
       	return $customPushConfigs[0];
    }


}
